<script lang="ts">
  import { suitEmoji } from "../cardUtils";

  export let suit: Suit;

  $: emoji = suitEmoji(suit);
</script>

<div class="wrapper">
  <span class="icon-1">{emoji}</span>
  <span class="icon-2">{emoji}</span>
</div>

<style>
  .wrapper {
    font-size: 2em;
    display: grid;
    place-items: center;
    height: 100%;
  }
  .icon-2 {
    transform: rotate(180deg);
  }
</style>
